package businessObjects;

public class Team {

	public String name;
	public int played;
	public int won;
	public int drawn;
	public int lost;
	public int rating;

	public Team(String name, int played, int won, int drawn, int lost) {
		super();
		this.name = name;
		this.played = played;
		this.won = won;
		this.drawn = drawn;
		this.lost = lost;
		calculateRating();
	}

	private void calculateRating() {
		float value = ((10000f*(won*3+drawn))/(3*played))/100;
		rating = Math.round(value);
	}
}
