package sample;

import businessObjects.Team;
import fit.Parse;
import fit.PrimitiveFixture;

public class PrimitiveVerifyRating extends PrimitiveFixture {

	String teamName;
	int played;
	int won;
	int drawn;
	int lost;
	Team team = null;

	@Override
	public void doRows(Parse rows) {
        super.doRows(rows.more);
    }

	@Override
	public void doCell(Parse cell, int column) {
        switch (column) {
            case 0: teamName = cell.text();
            		break;
            case 1: played = (int)parseLong(cell);
            		break;
            case 2: won = (int)parseLong(cell);
            		break;
            case 3: drawn = (int)parseLong(cell);
            		break;
            case 4: lost = (int)parseLong(cell);
            		break;
            case 5: team = new Team(teamName,played,won,drawn,lost);
            		check(cell, team.rating);
            		break;
            default: ignore(cell); break;
        }
    }
}